@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&family=Public+Sans:wght@400;500;700&display=swap');
*,*::before,*::after{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}

body{
  font-size: 17px;
  font-family: 'Poppins', sans-serif;
  max-width: 100vw;
  max-height: 100vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

header{
  background-color: rgb(212, 209, 209);
}
.contents{
  margin-top: 2em;
  display: flex;
  align-items: center;
}

input, select, button{
  margin-inline: 5em;
  font-size:inherit;
  font-family: inherit;
  text-align: center;
  padding:.5em;
  cursor:pointer
}

button{
  border: 1px solid grey;
  border-radius: 8px;;
}
input[type="color"]{
  padding:.2em;
  width: 75px;
  height:50px;
}
label{
  opacity: .5;
}
.menu-icons{
  width: 100%;
  display:block;
  display:  flex;
  justify-content: space-around;
  margin-block: 1em;
  align-items: center;
}
.toggle-theme{
  border: 2px solid black;
  width: 40px;
  height: 20px;
  border-radius: 10px;
  position: relative;
  right:-40px;
}
.toggle-icon{
  background-color: red;
  width: 15px;
  height:15px;
  border-radius: 20px;
  position: absolute;
  top: .97px;
  left:1%;
  cursor: pointer;
}
.toggle-icon:hover{
  opacity: .8;
}

 img{
  width: 28%;
  cursor: pointer;
}
img:hover{
  transform:  scale(1.1);
}


p{
  font-size: 13px;
  opacity: .7;
  padding:.3em;
  border:1px solid grey;
  position: relative;
  top:2px;
  visibility: hidden;
  transition: .3s;
}

main{
  display: flex;
}
main div{
  height: 66vh;
  width:100%;
  position: relative;
}
main span{
  position: absolute;
  bottom: 30px;
  left:15px;
  color: grey;
  font-size: 15px;
}

.copied{
  position:absolute;
  top:24%;
  left: 50%;
  color: rgb(243, 0, 53);
  font-size: 20px;
  visibility: hidden;
}



